#
# spec file for package vim (Version 6.0av)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         vim
Copyright:    freeware
Group:        Applications/Editors
Provides:     vi_clone
Autoreqprov:  on
Version:      6.0av
Release:      16
Summary:      Vi IMproved
URL:          http://www.vim.org/
Source:       ftp://ftp.vim.org/pub/vim/unreleased/unix/vim-%{version}.tar.bz2
Source1:      ftp://ftp.vim.org/pub/vim/unreleased/extra/vim-%{version}-lang.tar.bz2
# we don't use anything from extra currently
# Source3:      vim-%{version}-extra.tar.bz2
Source4:      suse.vimrc
Source5:      vimrc_example1
Source6:      vimrc_example2
Source7:      ANNOUNCEMENT.vim-%{version}
Patch0:       vim-%{version}.dif
Patch1:       ycp.dif
Patch2:       disable_system.patch
BuildRoot:    %{_tmppath}/%{name}-root/

%description
Vim (Vi IMproved) is an almost compatible version of the UNIX editor vi
whereby almost every possible command can be performed using only ASCII
characters. Only the 'Q' command is missing (you don't need it). Many new features have
been added: multilevel undo, command line history, file name
completion, block operations, editing of binary data, etc.
Vi is available for the AMIGA, MS-DOS, Windows NT, and various versions
of UNIX.
For SuSE Linux, Vim is used as /usr/bin/vi.

Authors:
--------
    Bram Moolenaar <mool@oce.nl>

SuSE series: a

%prep
%setup -n vim60av -b 1
%patch -p 1
%patch1 -p 1
%patch2 -p 1
cp $RPM_SOURCE_DIR/vimrc_example* .
cp $RPM_SOURCE_DIR/ANNOUNCEMENT* .

%build
%{?suse_update_config:%{suse_update_config -f }}
pushd src
    CFLAGS="$RPM_OPT_FLAGS -Wall -pipe"
    export CFLAGS
    ./configure ${RPM_ARCH}-suse-linux \
	--prefix=/usr		\
	--mandir=%{_mandir}	\
	--with-features=big     \
	--without-x		\
	--disable-perlinterp	\
	--disable-pythoninterp	\
	--disable-gui		\
	--enable-multibyte	\
	--disable-gpm
popd
make -C src VIMRCLOC=/etc VIMRUNTIMEDIR=/usr/share/vim/current MAKE="make -e"

%install
if [ -n "%{?buildroot}" ] ; then
   [ %{buildroot} != "/" ] && rm -rf %{buildroot}
fi
make -C src prefix=$RPM_BUILD_ROOT/usr MANDIR=$RPM_BUILD_ROOT%{_mandir} install
mkdir -p $RPM_BUILD_ROOT/bin
mv $RPM_BUILD_ROOT/usr/bin/vim $RPM_BUILD_ROOT/bin/vim
ln -sf ../../bin/vim $RPM_BUILD_ROOT/usr/bin/vim
ln -sf vim      $RPM_BUILD_ROOT/bin/vi
ln -sf vim      $RPM_BUILD_ROOT/usr/bin/edit
ln -sf vim      $RPM_BUILD_ROOT/usr/bin/ex
ln -sf vim      $RPM_BUILD_ROOT/usr/bin/vi
ln -sf vim      $RPM_BUILD_ROOT/usr/bin/view
ln -sf vim.1.gz $RPM_BUILD_ROOT%{_mandir}/man1/vi.1.gz
ln -sf vim.1.gz $RPM_BUILD_ROOT%{_mandir}/man1/ex.1.gz
ln -sf vim`echo %{version}|sed 's/\.//'` $RPM_BUILD_ROOT/usr/share/vim/current
mkdir -p $RPM_BUILD_ROOT/etc
install -m 0644 $RPM_SOURCE_DIR/suse.vimrc $RPM_BUILD_ROOT/etc/vimrc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc ANNOUNCEMENT*
%doc README.txt README_src.txt README_unix.txt README_lang.txt src/INSTALL
%doc vimrc_example1 vimrc_example2
%config /etc/vimrc
/bin/vi
/bin/vim
/usr/bin/edit
/usr/bin/ex
/usr/bin/vi
/usr/bin/view
/usr/bin/vim
/usr/bin/xxd
/usr/bin/rview
/usr/bin/rvim
/usr/bin/vimtutor
/usr/share/vim
%doc %{_mandir}/man1/*.1*

%changelog -n gvim
* Tue Sep 11 2001 - mfabian@suse.de
- update to Vim 6.0av
  (Bram  Moolenaar: "Just bug fixes this time, and
  quite a lot of them ..."). For details about the bugs fixed,
  please read /usr/share/doc/packages/vim/ANNOUNCEMENT.vim-6.0av
- mark source tarballs "NoSource" because they are already
  in the vim source rpm, it is wasteful to have them twice
  on our CDs.
* Tue Aug 28 2001 - mfabian@suse.de
- update to Vim 6.0at
- removed sf_warnings.dif (included upstream)
- add --with-features=big
- add --enable-xim
- remove --enable-broken-locale
- add BuildRoot
- add %%{?suse_update_config:%%{suse_update_config -f }}
- replace "set guifont" by "set guifontset" in /etc/gvimrc
  try to set it to a value which is reasonable for all languages.
- add /usr/X11R6/bin/evim to file list
* Thu Aug 16 2001 - fehr@suse.de
- update to new version 5.8 with patches 5.8.001 to 008 applied
- add syntax file for .changes files from Michal Svec
* Wed May 16 2001 - fehr@suse.de
- fix pointer-cast-warnings on 64bit archs
* Mon May 07 2001 - mfabian@suse.de
- bzip2 sources
* Mon Apr 09 2001 - fehr@suse.de
- change back to old version 5.7 since 6.0aa is not stable enough
  (according to maintainer Bram Moolenaar)
- add patches 001-028 from vim.org to vim 5.7
* Fri Apr 06 2001 - mfabian@suse.de
- add --with-features=big
- add --enable-xim
- remove --enable-broken-locale
- add BuildRoot
- add suse_update_config
- add README.Japanese-XIM to explain how to fallback to
  OverTheSpot input style for Japanese. OnTheSpot input is nice,
  but currently works well only for Korean, it still causes
  lots of Problems for Japanese.
- replace "set guifont" by "set guifontset" in /etc/gvimrc,
  try to set reasonable defaults for all languages.
* Thu Apr 05 2001 - fehr@suse.de
- change to new version 6.0aa
* Thu Nov 23 2000 - fehr@suse.de
- Fix need for build for db-devel
* Sat Nov 04 2000 - kukuk@suse.de
- Fix need for build for new GNOME libs
* Sun Oct 29 2000 - kukuk@suse.de
- Fix need for build
* Mon Oct 09 2000 - fehr@suse.de
- use runtime/gvimrc_example.vim as default for /etc/gvimrc (# 4080)
* Fri Oct 06 2000 - kukuk@suse.de
- Change group tag
* Mon Jul 24 2000 - fehr@suse.de
- New version 5.7
* Mon Apr 10 2000 - fehr@suse.de
- add GTK to build environment to have the GTK-Interface enabled
* Tue Jan 25 2000 - werner@suse.de
- New version 5.6
- /usr/man -> /usr/share/man
* Wed Jan 12 2000 - fehr@suse.de
- fix wrong path in /etc/vimrc
* Thu Oct 07 1999 - fehr@suse.de
- add additional features to gvim
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Aug 27 1999 - fehr@suse.de
- changed to new version 5.4
* Wed Mar 17 1999 - ro@suse.de
- diff cleanup
* Mon Nov 23 1998 - ro@suse.de
- update to vim-5.3
- merged changes
- enabled perl and python
* Fri Oct 17 1997 - ro@suse.de
- ready for autobuild using 4.6tar as source and 4.5dif as patch
* Tue Jan 21 1997 - kfr@suse.de
- Based on S.u.S.E.-Package vim, Version 4.5 (needed!)
- used 3d-Athena-Widgets
- added: /etc/gvimrc
- all other files than /usr/X11R6/bin/gvim and /etc/gvimrc are not installed
%changelog -n vim
* Tue Sep 11 2001 - mfabian@suse.de
- update to Vim 6.0av
  (Bram Moolenaar: "Just bug fixes this time, and
  quite a lot of them ...") For details about the bugs fixed,
  please read /usr/share/doc/packages/vim/ANNOUNCEMENT.vim-6.0av
* Wed Aug 29 2001 - fehr@suse.de
- add new ycp sytax file from Michal Svec
- add extensions .scr and .yh as ycp extensions
* Tue Aug 28 2001 - mfabian@suse.de
- update to Vim 6.0at
- removed sf_warnings.dif (included upstream)
- add --with-features=big
- remove --enable-broken-locale
- remove --enable-fontset
- add BuildRoot
- add %%{?suse_update_config:%%{suse_update_config -f }}
* Thu Aug 16 2001 - fehr@suse.de
- update to new version 5.8 with patches 5.8.001 to 008 applied
- add syntax file for .changes files from Michal Svec
* Wed May 16 2001 - fehr@suse.de
- fix pointer-cast-warnings on 64bit archs
* Mon May 07 2001 - mfabian@suse.de
- bzip2 source
* Mon Apr 09 2001 - fehr@suse.de
- change back to old version 5.7 since 6.0aa is not stable enough
  (according to maintainer Bram Moolenaar)
- add patches 001-028 from vim.org to vim 5.7
* Fri Apr 06 2001 - mfabian@suse.de
- add tarball for nls support: vim-6.0aa-lang.tar.bz2
- use suse_update_config
- remove --enable-broken-locale --enable-fontset
- add BuildRoot
- bzip2 tarballs
* Thu Apr 05 2001 - fehr@suse.de
- change to new version 6.0aa
* Mon Mar 26 2001 - kendy@suse.cz
- Added syntax file for YCP (YaST2 Communication Protocol)
* Mon Jan 08 2001 - fehr@suse.de
- change occurences of $VIM in vimrc example to $VIMRUNTIME
* Tue Nov 21 2000 - werner@suse.de
- Remove swapping of kp-separator/kp-decimal because it's
  done in xkbd map for german keyboards
- Add some newer xterm escape sequences (oldFunctionsKeys)
* Fri Oct 06 2000 - kukuk@suse.de
- change group tag
* Mon Jul 24 2000 - fehr@suse.de
- New version 5.7
* Wed Mar 01 2000 - werner@suse.de
- Move vim and the link vi to /bin/ and make symlinks backward
- Include symlinks edit and ex into vim file list
- Include symlinks gex, gvi, gview, rgvim, rgview into gvim file list
- Make symlink current to version directory in /usr/share/vim
* Tue Feb 29 2000 - fehr@suse.de
- removed use of mouse daemon (libgpm)
* Thu Feb 24 2000 - fehr@suse.de
- removed dependency on nawk
* Tue Jan 25 2000 - werner@suse.de
- New version 5.6
- Do not use strange settings in /etc/vimrc (e.g. edcompatible)
- Make terminal settings in /etc/vimrc depending on terminal type
- Create a ~/.vimrc for /etc/skel/
- /usr/man -> /usr/share/man
* Wed Jan 12 2000 - fehr@suse.de
- fix wrong path in /etc/vimrc
* Fri Nov 05 1999 - kukuk@suse.de
- Use gawk instead of nawk
* Sat Oct 16 1999 - ml@suse.de
- removed typo from vim-5.4.dif
* Thu Sep 16 1999 - ro@suse.de
- added "Provides vi_clone"
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Aug 27 1999 - fehr@suse.de
- changed to new version 5.4
* Sun Dec 13 1998 - bs@suse.de
- fixed problem with empty man page
* Fri Dec 04 1998 - ro@suse.de
- cleanup and bugfix for suse.vimrc
* Mon Nov 23 1998 - ro@suse.de
- update to 5.3
- merged werners vimrc and florian's hack for linux-m
- install other vimrc_example as %%doc
* Fri Oct 17 1997 - ro@suse.de
- ready for autobuild using 4.6tar and 4.6dif
* Wed May 28 1997 - werner@suse.de
- New /etc/vimrc added
* Sun Apr 13 1997 - florian@suse.de
- update to new version 4.6
- mv ctags into a new package ctags.tgz
* Thu Jan 02 1997 - florian@suse.de
- Update auf Version 4.5.
- Jetzt ist auch ctags und xxd dabei.
* Thu Jan 02 1997 - florian@suse.de
  new version 4.2
  completely integrated help-system
